wl_socket(3)

NAME
wl_socket

SYNOPSIS

  Data Fields

int fd
int fd_lock
struct sockaddr_un addr
char lock_addr [UNIX_PATH_MAX+LOCK_SUFFIXLEN]
struct wl_list link
struct wl_event_source * source
char * display_name

Field Documentation

  struct sockaddr_un wl_socket::addr

  char* wl_socket::display_name

  int wl_socket::fd

  int wl_socket::fd_lock

  struct wl_list wl_socket::link

  char wl_socket::lock_addr[UNIX_PATH_MAX+LOCK_SUFFIXLEN]

  struct wl_event_source* wl_socket::source

Author

Generated automatically by Doxygen for Wayland from the source code.